LFR-FSW - Task #655

Mise a jour SRS et SVS / TC > 228 bytes
09/03/2016 01:51 PM - Veronique bouzid

Status: Closed Start date: 09/03/2016
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: SRS Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision:

Description

Mettre a jour la SRS et les tests associés dans la SVS pour expliquer

- comment est traitée la reception d une TC > 228 octets

- remettre a jour les SRS concernant I'acceptance ( orde de d'evaluation des criteres)
Revoir donc SVS-0003 et SVS-0007.

Cette mise a jour est liée a la résolution du Bug #649

Related issues:
Related to Bug #649: CCSDS_TC_PKT_MAX_SIZE wrong: detection of a TC with wro... Closed 08/03/2016

History

#1 - 09/03/2016 01:51 PM - Veronique bouzid

- Description updated

#2 - 09/03/2016 02:53 PM - Veronique bouzid
- Related to Bug #649: CCSDS_TC_PKT_MAX_SIZE wrong: detection of a TC with wrong length added

#3 - 03/02/2017 11:15 AM - Veronique bouzid

- Status changed from New to In Progress

Depuis 3.1.0.6 , le comportement implementé par Paul est le suivant
--> |l ny aura jamais de TM_LFR_EXE_CORRUPTED

lors de | envoi d une TC trop long.

Voila la trace mettant en évidence le comportement du soft.

1- La TC sera rejeté par le driver spacewire et donc pas d acquittement, cela se traduit par
13:21:00.500713, /A\No TM_LFR_TC_EXE_* after time-out (4s).

2- La detection d'une TC trop longue est décrite dans la structure spw_stats et ensuite reportée dans les HK. Les champs suivants seront mis a jour
HK_LFR_DPU_SPW_RX_TOO_BIG sera incrementé

HK_LFR_ME_CNT sera incrementé car HK_LFR_DPU_SPW_RX_TOO_BIG est une medium criticity

3- L'erreur de type medium est reportée dans les champs dédiés

HK_LFR_LAST_ER_RID: ME_LFR_DPU_SPW = 42338, HK_LFR_LAST_ER_CODE: RX_TOO_BIG =9,
HK_LFR_LAST_ER_TIME=0x80000012218¢

4- Ces champs ne seront pas mis a jour
HK_LFR_LAST_REJ_TC_ID, HK_LFR_LAST_REJ_TC_TYPE, HK_LFR_LAST_REJ_TC_SUBTYPE, HK_LFR_LAST_REJ_TC_TIME

Il faut donc mettre cela dans la SRS et egalement mettre a jour SVS-0003.

#4 - 09/05/2017 04:00 PM - bruno katra

- Status changed from In Progress to Closed

mis a jour dans SRS 2.1
